%global version1 1.30.0
%global pkgversion 0

Name:           libluv
Version:        %{version1}.%{pkgversion}
Release:        1%{?dist}
Summary:        libuv bindings for luajit and lua 5.1/5.2.

License:        Apache
URL:            https://github.com/luvit/luv

Source0:        https://github.com/luvit/luv/releases/download/%{version1}-%{pkgversion}/luv-%{version1}-%{pkgversion}.tar.gz
Patch0:         libluv_lib64.patch

BuildRequires:  cmake
BuildRequires:  luajit-devel
BuildRequires:  libuv-devel

Requires:       luajit
Requires:       libuv

%description
This library makes libuv available to lua scripts. It was made for the luvit
project but should usable from nearly any lua project. The library can be used
by multiple threads at once. Each thread is assumed to load the library from a
different lua_State. Luv will create a unique uv_loop_t for each state. You
can't share uv handles between states/loops.


%prep
%autosetup -n luv-%{version1}-%{pkgversion}


%build
mkdir -p build
pushd build
cmake -DWITH_SHARED_LIBUV=ON -DLUA_BUILD_TYPE=System \
      -DBUILD_MODULE=OFF -DBUILD_SHARED_LIBS=ON \
      -DCMAKE_INSTALL_PREFIX=/usr \
      ..

%make_build VERBOSE=1
popd


%install
pushd build
%make_install
popd


%check


%files
%{_includedir}/luv/lhandle.h
%{_includedir}/luv/lreq.h
%{_includedir}/luv/luv.h
%{_includedir}/luv/util.h
%{_prefix}/lib64/libluv.so
%{_prefix}/lib64/libluv.so.1
%{_prefix}/lib64/libluv.so.1.30.0

%license
%doc


%changelog
* Thu Aug 1 2019 Panagiotis Simatos <mail@p-simatos.com> - 0.3.8-1
- Initial version 1.30.0.0
